Page MenuHomePhabricator

Release 6.1.1
Closed, ResolvedPublic

Description

Release version: 6.1.1
Release tag: releases/6.1.1
Release SHA1: be7ef0412d6d9687c7496dc754a567275863db6b
App Store Submission Date: 11/15/18
App Store Approval Date: 1/15/18
App Store Release Date: 1/16/18
Regression Testing URL: (see subtask)


Pre-release

  • Submit "What’s New" on iTunes Connect for translation N/A
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Upload new screenshots & app icons to iTunes Connect (if needed) N/A
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list N/A
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.) N/A
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store

Post-release:

Event Timeline

LGoto created this task.Nov 7 2018, 6:12 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptNov 7 2018, 6:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Medium priority.Nov 7 2018, 6:14 PM
JMinor updated the task description. (Show Details)
LGoto updated the task description. (Show Details)Nov 19 2018, 11:07 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)Nov 20 2018, 12:46 AM
JMinor closed this task as Resolved.Dec 3 2018, 7:25 PM
JMinor closed subtask T208975: Smoke testing for 6.1.1 as Resolved.